package com.op.wms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

/**
 * 供应商管理对象 base_supplier
 * 
 * @author Open Platform
 * @date 2023-07-18
 */
public class BaseSupplier extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 主键uuid */
	private String supplierId;

	/** 供应商代码 */
	@Excel(name = "供应商代码")
	private String supplierCode;

	/** 中文描述 */
	@Excel(name = "中文描述")
	private String zhDesc;

	/** 英文描述 */
	@Excel(name = "英文描述")
	private String enDesc;

	/** 供应商类型 */
	@Excel(name = "供应商类型")
	private String supplierType;

	/** 账号 */
	@Excel(name = "账号")
	private String accountNumber;

	/** 证照编码 */
	@Excel(name = "证照编码")
	private String licenceNumber;

	/** 经营范围 */
	@Excel(name = "经营范围")
	private String businessScope;

	/** 省 */
	@Excel(name = "省")
	private String province;

	/** 市 */
	@Excel(name = "市")
	private String city;

	/** 区 */
	@Excel(name = "区")
	private String area;

	/** 详细地址 */
	@Excel(name = "详细地址")
	private String address;

	/** 邮编 */
	@Excel(name = "邮编")
	private String postcode;

	/** 联系人 */
	@Excel(name = "联系人")
	private String contact;

	/** 联系人电话 */
	@Excel(name = "联系人电话")
	private String contactPhone;

	/** 联系人职务 */
	@Excel(name = "联系人职务")
	private String contactPosition;

	/** 联系人电子邮件 */
	@Excel(name = "联系人电子邮件")
	private String contactEmail;

	/** 激活标记 */
	@Excel(name = "激活标记")
	private String activeFlag;

	/** 用户自定义1--国家 */
	@Excel(name = "用户自定义1--国家")
	private String userDefined1;

	/** 用户自定义2--税号 */
	@Excel(name = "用户自定义2--税号")
	private String userDefined2;

	/** 用户自定义3 */
	@Excel(name = "用户自定义3")
	private String userDefined3;

	public void setSupplierId(String supplierId) {
		this.supplierId = supplierId;
	}

	public String getSupplierId() {
		return supplierId;
	}
	public void setSupplierCode(String supplierCode) {
		this.supplierCode = supplierCode;
	}

	public String getSupplierCode() {
		return supplierCode;
	}
	public void setZhDesc(String zhDesc) {
		this.zhDesc = zhDesc;
	}

	public String getZhDesc() {
		return zhDesc;
	}
	public void setEnDesc(String enDesc) {
		this.enDesc = enDesc;
	}

	public String getEnDesc() {
		return enDesc;
	}
	public void setSupplierType(String supplierType) {
		this.supplierType = supplierType;
	}

	public String getSupplierType() {
		return supplierType;
	}
	public void setAccountNumber(String accountNumber) {
		this.accountNumber = accountNumber;
	}

	public String getAccountNumber() {
		return accountNumber;
	}
	public void setLicenceNumber(String licenceNumber) {
		this.licenceNumber = licenceNumber;
	}

	public String getLicenceNumber() {
		return licenceNumber;
	}
	public void setBusinessScope(String businessScope) {
		this.businessScope = businessScope;
	}

	public String getBusinessScope() {
		return businessScope;
	}
	public void setProvince(String province) {
		this.province = province;
	}

	public String getProvince() {
		return province;
	}
	public void setCity(String city) {
		this.city = city;
	}

	public String getCity() {
		return city;
	}
	public void setArea(String area) {
		this.area = area;
	}

	public String getArea() {
		return area;
	}
	public void setAddress(String address) {
		this.address = address;
	}

	public String getAddress() {
		return address;
	}
	public void setPostcode(String postcode) {
		this.postcode = postcode;
	}

	public String getPostcode() {
		return postcode;
	}
	public void setContact(String contact) {
		this.contact = contact;
	}

	public String getContact() {
		return contact;
	}
	public void setContactPhone(String contactPhone) {
		this.contactPhone = contactPhone;
	}

	public String getContactPhone() {
		return contactPhone;
	}
	public void setContactPosition(String contactPosition) {
		this.contactPosition = contactPosition;
	}

	public String getContactPosition() {
		return contactPosition;
	}
	public void setContactEmail(String contactEmail) {
		this.contactEmail = contactEmail;
	}

	public String getContactEmail() {
		return contactEmail;
	}
	public void setActiveFlag(String activeFlag) {
		this.activeFlag = activeFlag;
	}

	public String getActiveFlag() {
		return activeFlag;
	}
	public void setUserDefined1(String userDefined1) {
		this.userDefined1 = userDefined1;
	}

	public String getUserDefined1() {
		return userDefined1;
	}
	public void setUserDefined2(String userDefined2) {
		this.userDefined2 = userDefined2;
	}

	public String getUserDefined2() {
		return userDefined2;
	}
	public void setUserDefined3(String userDefined3) {
		this.userDefined3 = userDefined3;
	}

	public String getUserDefined3() {
		return userDefined3;
	}

	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("supplierId", getSupplierId())
			.append("supplierCode", getSupplierCode())
			.append("zhDesc", getZhDesc())
			.append("enDesc", getEnDesc())
			.append("supplierType", getSupplierType())
			.append("accountNumber", getAccountNumber())
			.append("licenceNumber", getLicenceNumber())
			.append("businessScope", getBusinessScope())
			.append("province", getProvince())
			.append("city", getCity())
			.append("area", getArea())
			.append("address", getAddress())
			.append("postcode", getPostcode())
			.append("contact", getContact())
			.append("contactPhone", getContactPhone())
			.append("contactPosition", getContactPosition())
			.append("contactEmail", getContactEmail())
			.append("activeFlag", getActiveFlag())
			.append("userDefined1", getUserDefined1())
			.append("userDefined2", getUserDefined2())
			.append("userDefined3", getUserDefined3())
			.append("createBy", getCreateBy())
			.append("createTime", getCreateTime())
			.append("updateBy", getUpdateBy())
			.append("updateTime", getUpdateTime())
			.append("remark", getRemark())
			.toString();
	}
}
